requestFile

11 endpoints
POST/rest/folders/{id}/actions/requestFile

Send a Request File to Folder request

Description:

Initiates a Request File to Folder.

Precondition:

The user profile must have the necessary access rights to request files to the folder.

Response:

Successfully creates a request file and returns the request file details.
Parameters
Path Parameters
id
Required
string

The unique identifier (UUID) of the entity.


Request Body
to
Required
string[]

List of email addresses to send the files to.

subject
Required
string

Subject of the email. Must be between 1 and 998 characters.

body
string

The body of the email.

expire
string

The expiration date of the request file link.

count
integer

The maximum number of files to attach.

requireAuth
boolean

Indicates if authentication is required to access the files.

files
string[]

List of object GUIDs representing the files to be sent.

actionId
integer

The action to allow recipients to perform on viewable files.
1 – View only.
2 – View and download.

showToken
integer

Whether to include the request file token in the response.
0 – Do not include the token.
1 – Include the token.


Responses

Request File to Folder request has been successfully created.

Empty response body.

Bad Request

Possible error codes: ERR_REQUEST_INVALID_JSON

code
string

Error code

message
string

Error message

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_ACCESS_USER, ERR_ENTITY_DELETED, ERR_ENTITY_DLP_LOCKED, ERR_ENTITY_IS_SECURE_FOLDER, ERR_ENTITY_NOT_SCANNED, ERR_ENTITY_VIRUS_FOUND, ERR_INPUT_EMAIL_IS_DISTRIBUTION_LIST, ERR_LICENSE_MAX_USERS_COUNT_REACHED, ERR_USER_HAS_NO_USER_TYPE, ERR_USER_TYPE_NO_ACCESS

code
string

Error code

message
string

Error message

Unprocessable Content

Possible error codes: ERR_INPUT_HYPERLINK, ERR_INPUT_INVALID_DATE, ERR_INPUT_REQUIRED, ERR_INVALID_PARAMETER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/folders/:id/actions/requestFile" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "to": [
         "string"
       ],
         "subject": "string",
         "body": "string",
         "expire": "2024-01-15",
         "count": 1,
         "requireAuth": true
       }'
Python
import requests

id = "VALUE"  # The unique identifier (UUID) of the entity.

url = f"https://{{instance}}.kiteworks.com/rest/folders/{id}/actions/requestFile"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "to": [
  "string"
],
  "subject": "string",
  "body": "string",
  "expire": "2024-01-15",
  "count": 1,
  "requireAuth": true
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
Responses
// Request successful - No Body
{ "errors": [ { "code": "ERR_REQUEST_INVALID_JSON", "message": "Invalid json provided" } ] }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_ENTITY_DELETED", "message": "Entity is deleted" } ] }
{ "errors": [ { "code": "ERR_ENTITY_DLP_LOCKED", "message": "One or more files have been quarantined and are not available to download. Please contact your administrator for assistance." } ] }
{ "errors": [ { "code": "ERR_ENTITY_IS_SECURE_FOLDER", "message": "Operation not permitted on restricted Folder." } ] }
{ "errors": [ { "code": "ERR_ENTITY_NOT_SCANNED", "message": "One or more files are undergoing security and privacy scans. Please try again later." } ] }
{ "errors": [ { "code": "ERR_ENTITY_VIRUS_FOUND", "message": "File is infected" } ] }
{ "errors": [ { "code": "ERR_INPUT_EMAIL_IS_DISTRIBUTION_LIST", "message": "Distribution list user is not allowed to register" } ] }
{ "errors": [ { "code": "ERR_LICENSE_MAX_USERS_COUNT_REACHED", "message": "License count has been reached" } ] }
{ "errors": [ { "code": "ERR_USER_HAS_NO_USER_TYPE", "message": "User has no profile" } ] }
{ "errors": [ { "code": "ERR_USER_TYPE_NO_ACCESS", "message": "Permission denied" } ] }
{ "errors": [ { "code": "ERR_INPUT_HYPERLINK", "message": "Not allowed hyperlink domain. Hyperlink domain should not different from anchored text domain." } ] }
{ "errors": [ { "code": "ERR_INPUT_INVALID_DATE", "message": "The input is not a valid date." } ] }
{ "errors": [ { "code": "ERR_INPUT_REQUIRED", "message": "Field is required" } ] }
{ "errors": [ { "code": "ERR_INVALID_PARAMETER", "message": "Invalid Parameter Exception" } ] }
// Error - No Body
GET/rest/requestFile/{ref}

Returns Request File Info by ref

Description:

Retrieves detailed information about a Request File using the provided reference (ref).

Precondition:

The user must have valid authentication and appropriate access to view the request file information.

Response:

Returns the details of the specified request file, including its associated metadata and status.
Parameters
Path Parameters
ref
Required
string

The unique reference of the Request File upload link.

Query Parameters
read
Optional
boolean

Indicates whether to log the view event. Defaults to true.


Responses

The Request File Info, including the details of the specified request file.

id
integer

Unique identifier for the request file.

type
string

The type of the request file.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

remaining
integer

The number of remaining files or actions.

fileLimit
integer

The maximum number of files allowed for this request.

id
string

Unique identifier of the email.

subject
string

Subject line of the email.

body
string

The body of the email.

fullHtmlBody
string

Full HTML body of the email.

parentEmailId
string

Unique identifier of the parent email, if applicable.

emailPackageId
string

Unique identifier of the associated email package.

senderId
string

Unique identifier of the sender.

sharedMailboxId
string

Unique identifier of the shared mailbox, if applicable.

message
string

Message or note associated with the request file.

requireAuth
boolean

Indicates whether authentication is required to access the request file.

expire
string

The expiration date of the request file.

excludedFileExtensions
string[]

List of file extensions not allowed for upload via this file request.

uploadLink
string

Link for uploading the request file.

ref
string

Reference or identifier for the request file.

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_REQUEST_FILE, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_ACCESS_USER, ERR_ENTITY_DELETED, ERR_ENTITY_REQUEST_FILE_EXPIRED

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/requestFile/:ref" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

ref = "VALUE"  # The unique reference of the Request File upload link.

url = f"https://{{instance}}.kiteworks.com/rest/requestFile/{ref}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "id": 1, "type": "string", "requestor": {}, "recipient": {}, "remaining": 1, "fileLimit": 1 }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_REQUEST_FILE", "message": "Operation not permitted. This request requires authorization" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_ENTITY_DELETED", "message": "Entity is deleted" } ] }
{ "errors": [ { "code": "ERR_ENTITY_REQUEST_FILE_EXPIRED", "message": "The request file has expired" } ] }
// Error - No Body
DELETE/rest/requestFile/{ref}

Expire a request file link

Marks the request file link as expired, preventing any further file uploads through it. Requires the authenticated user to be the user who created the request file link.

Parameters
Path Parameters
ref
Required
string

The unique reference of the Request File upload link.


Responses

The request file link was successfully expired. Returns no content.

Empty response body.

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X DELETE \
  "https://{instance}.kiteworks.com/rest/requestFile/:ref" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

ref = "VALUE"  # The unique reference of the Request File upload link.

url = f"https://{{instance}}.kiteworks.com/rest/requestFile/{ref}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.delete(url, headers=headers)
print(response.json())
Responses
// Request successful - No Body
{ "errors": { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } }
// Error - No Body
GET/rest/requestFile/{ref}/preview/{object_id}

Get preview metadata for a source file

Gets the preview metadata for a source file attached to the request file link. If the source file's action is set to view, the preview is generated with the Viewer role.

Parameters
Path Parameters
ref
Required
string

The unique reference of the Request File upload link.

object_id
Required
string

The unique identifier (UUID) of the source file.


Responses

Returns the preview metadata for the specified source file.

link
string

Preview link for the file

pdf
string

PDF file for the preview

viewUrl
string

URL for viewing the preview

status
string

Preview processing status. Accepted values: processing, preview, failed

type
string

Format of the generated preview, such as image or PDF

metadata
string

Additional metadata about the preview, such as dimensions or page count

mime
string

MIME type of the preview file

native
boolean

Indicates whether the preview is a native render

watermark
string

Watermark applied to the preview

tdfOriginalExtension
string

Original file extension for TDF files

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/requestFile/:ref/preview/:object_id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

ref = "VALUE"  # The unique reference of the Request File upload link.
object_id = "VALUE"  # The unique identifier (UUID) of the source file.

url = f"https://{{instance}}.kiteworks.com/rest/requestFile/{ref}/preview/{object_id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "link": "/preview/files/7/preview.html", "pdf": null, "view_url": "https://viewer.example.com/view?token=abc123", "status": "Preview", "mime": "application/pdf", "native": true, "watermark": null, "tdfOriginalExtension": null }
{ "link": null, "pdf": null, "view_url": null, "status": "Processing", "mime": null, "native": false, "watermark": null, "tdfOriginalExtension": null }
{ "errors": { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } }
// Error - No Body
GET/rest/requestFile/{ref}/sources

Get source files attached by the requester

Returns the list of files the requester attached to the request file link for the uploader to view or download. Each entry includes computed permissions based on DLP policy and the configured action (view or download).

Parameters
Path Parameters
ref
Required
string

The unique reference of the Request File upload link.


Responses

Returns a paginated list of source file records attached to the request file link.

fileId
integer

The unique identifier of the source file

requestFileId
integer

The unique identifier of the associated request file

actionId
integer

The available permissions on the source file for the uploader

name
string

Action name

enabled
boolean

Determines if action is valid

total
integer

Total number of items available.

limit
integer

Maximum number of items returned per page.

offset
integer

Number of items skipped before the current page.

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/requestFile/:ref/sources" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

ref = "VALUE"  # The unique reference of the Request File upload link.

url = f"https://{{instance}}.kiteworks.com/rest/requestFile/{ref}/sources"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "data": [ { "id": 1, "file_id": 7, "requestfile_id": 12, "action_id": 1, "permissions": [ { "name": "view", "enabled": true }, { "name": "download", "enabled": false } ] }, { "id": 2, "file_id": 8, "requestfile_id": 12, "action_id": 2, "permissions": [ { "name": "view", "enabled": true }, { "name": "download", "enabled": true } ] } ], "total": 2, "page": 1, "pageSize": 20 }
{ "errors": { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } }
// Error - No Body
GET/rest/requestFile/{ref}/sources/{object_id}

Get source file metadata

Gets the file metadata for a specific source file attached to the request file link.

Parameters
Path Parameters
ref
Required
string

The unique reference of the Request File upload link.

object_id
Required
string

The unique identifier (UUID) of the source file.

Query Parameters
with
Optional
string

With parameters

mode
Optional
string

Determines the detail level of the response body.


Responses

Returns the file metadata for the specified source file.

id
string

Unique identifier (UUID) of the file.

parentId
string

Unique identifier (UUID) of the parent folder.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the file.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the file.

path
string

Path to the object in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

size
integer

The size of the file in bytes.

mime
string

The MIME type of the file.

fingerprint
string

A unique hash identifying the file.

algo
string

The algorithm used to generate the fingerprint (e.g., sha3-256, md5).

hash
string

The resulting hash value representing the fingerprint of the file or object.

clientCreated
string

The date and time when the file was created on the client side.

clientModified
string

The date and time when the file was last modified on the client side.

overriddenExpire
boolean

Indicates whether the expiration date for the file has been overridden.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

sharedTime
string

The date and time when the file was shared.

id
string

Unique identifier (UUID) of the folder.

parentId
string

Unique identifier (UUID) of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the folder.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the folder in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

isShared
boolean

Indicates if the folder is shared with other users.

syncable
boolean

Indicates if the folder can be synced by Desktop Sync Client.

fileLifetime
integer

Time duration (in days) for which the files in this folder are kept after being added to the folder.

description
string

The description of the folder.

isFavorite
boolean

Indicates if the folder is marked as a favorite by the user.

pushedFilesCount
integer

The number of files that have been pushed to mobile apps in this folder.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

avStatus
string

The Antivirus (AV) status of the folder.

dlpStatus
string

The Data Loss Prevention (DLP) status of the folder.

totalMembersCount
integer

Total number of members who have access to this folder.

totalFoldersCount
integer

Total number of subfolders within this folder.

totalFilesCount
integer

Total number of files within this folder.

maxFolderExpiration
string

The maximum expiration date allowed for files in this folder.

maxFileLifetime
integer

The maximum duration (in days) that files in this folder can be kept after being added to the folder.

isLdapGroupMember
boolean

Indicates if the folder is part of an LDAP group.

isUnderMyFolder
boolean

Indicates if this folder is a subfolder of the user's "My Folder".

pathIds
string

A list of IDs representing the path of the folder within the folder hierarchy.

isRoot
boolean

Indicates if this folder is a root folder.

rootId
string

The ID of the root folder if this is a subfolder.

useFolderQuota
boolean

Indicates if a folder quota is applied to this folder.

quota
integer

The storage quota for the folder (in bytes).

size
integer

The total storage size used by the folder (in bytes).

freeSpace
integer

The amount of free space available in the folder (in bytes).

inheritanceEnabled
boolean

Indicates if a folder inherits permissions from the parent folder

originalFileId
string

The ID of the original file if this one is a copy.

avStatus
string

Indicates the file version's availability status based on Antivirus (AV) settings and whether it has been scanned or detected as infected.

dlpStatus
string

Indicates the file version's availability status based on Data Loss Prevention (DLP) settings and whether it has been scanned or detected as infected.

adminQuarantineStatus
string

Indicates the file version's availability status based on the administrator's quarantine status.

locked
boolean

Indicates if the file is locked.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

isShared
boolean

Indicates if the file is shared with other users.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

objectId
string

Unique identifier (UUID) for the pushed object.

userId
string

Unique identifier (UUID) for the user who pushed the object.

created
string

The date and time when the object was pushed.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

pathIds
string

A list of IDs representing the path of the file within the folder hierarchy.

wopiSrc
string

The WOPI (Web Application Open Platform Interface) source URL for the mobile application.

userId
string

Unique identifier of the user.

service
string

The WOPI service ID.

scheme
string

URI scheme used by the mobile application to handle the file.

schemeSupport
string

Indicates the level of support the mobile app has for the URI scheme.

pushed
boolean

Indicates if the file has been pushed to a mobile app.

guid
string

Unique identifier (UUID) for the tag.

name
string

Display name of the tag.

type
string

Type category of the tag.

safeEditLocked
boolean

Indicates if the file is locked through a SafeEdit session.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

versionsCount
integer

The total number of versions for the file.

tracking_id
string

Tracking identifier associated with the file upload.

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/requestFile/:ref/sources/:object_id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

ref = "VALUE"  # The unique reference of the Request File upload link.
object_id = "VALUE"  # The unique identifier (UUID) of the source file.

url = f"https://{{instance}}.kiteworks.com/rest/requestFile/{ref}/sources/{object_id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "id": 7, "name": "onboarding-checklist.pdf", "parent_id": 3, "size": 102400, "mime": "application/pdf", "created": "2024-01-10T09:00:00+00:00", "modified": "2024-03-01T14:30:00+00:00", "deleted": false, "locked": 0 }
{ "errors": { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } }
// Error - No Body
GET/rest/requestFile/{ref}/uploads

Get files uploaded by the current user

Returns the list of files the currently authenticated user has uploaded for the specified request file link. Returns an empty list when the link does not require authentication (require_auth=false).

Parameters
Path Parameters
ref
Required
string

The unique reference of the Request File upload link.


Responses

Returns a paginated list of upload records for the current user. Returns {data: []} when the link does not require authentication.

fileId
string

The unique identifier of the uploaded file

requestFileId
integer

The unique identifier of the associated request file

total
integer

Total number of items available.

limit
integer

Maximum number of items returned per page.

offset
integer

Number of items skipped before the current page.

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/requestFile/:ref/uploads" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

ref = "VALUE"  # The unique reference of the Request File upload link.

url = f"https://{{instance}}.kiteworks.com/rest/requestFile/{ref}/uploads"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "data": [ { "id": 10, "file_id": 55, "requestfile_id": 12 }, { "id": 11, "file_id": 56, "requestfile_id": 12 } ], "total": 2, "page": 1, "pageSize": 20 }
{ "data": [] }
{ "errors": { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } }
// Error - No Body
GET/rest/requestFile/{ref}/uploads/{object_id}

Get uploaded file metadata

Gets the file metadata for a specific file uploaded through the request file link. Only accessible when the link requires authentication (require_auth=true). The uploader's email address is stripped from the displayed file name before it is returned.

Parameters
Path Parameters
ref
Required
string

The unique reference of the Request File upload link.

object_id
Required
string

The unique identifier (UUID) of the uploaded file.

Query Parameters
with
Optional
string

With parameters

mode
Optional
string

Determines the detail level of the response body.


Responses

Returns the file metadata for the specified uploaded file, with the uploader's email suffix removed from the file name.

id
string

Unique identifier (UUID) of the file.

parentId
string

Unique identifier (UUID) of the parent folder.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the file.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the file.

path
string

Path to the object in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

size
integer

The size of the file in bytes.

mime
string

The MIME type of the file.

fingerprint
string

A unique hash identifying the file.

algo
string

The algorithm used to generate the fingerprint (e.g., sha3-256, md5).

hash
string

The resulting hash value representing the fingerprint of the file or object.

clientCreated
string

The date and time when the file was created on the client side.

clientModified
string

The date and time when the file was last modified on the client side.

overriddenExpire
boolean

Indicates whether the expiration date for the file has been overridden.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

sharedTime
string

The date and time when the file was shared.

id
string

Unique identifier (UUID) of the folder.

parentId
string

Unique identifier (UUID) of the parent object.

name
string

Name of the object.

type
string

Type of the object.
f – File.
d – Folder.

userId
string

Unique identifier (UUID) who created the folder.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

The date and time when the object was created.

modified
string

The date and time when the object was last modified.

expire
string

Expiration timestamp of the object, if applicable.

id
integer

Unique identifier for the permission.

name
string

Name of the permission.

allowed
boolean

Indicates whether the permission is granted (True) or denied (False).

deleted
boolean

Indicates whether the object has been deleted.

permDeleted
boolean

Indicates whether the object has been permanently deleted.

permalink
string

Permanent URL link to access the object.

path
string

Path to the folder in the hierarchy.

objectId
string

Unique identifier (UUID) of the associated object (file or folder).

roleId
integer

Role assigned to the member.

userId
string

Unique identifier (UUID) of the user.

groupId
integer

Unique identifier of the LDAP group.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

id
integer

LDAP Group ID

name
string

LDAP Group name

dn
string

LDAP Group domain name

email
string

LDAP Group email

description
string

LDAP Group description

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

created
string

Date when the file or folder was shared.

inheritRoleId
integer

Inherited role ID from the parent folder, if applicable.

allowedFolderRoleId
integer[]

List of allowed folder role IDs.

email
string

Email associated with the member.

rank
integer

Rank of the member role.

originFolder
any
vendorDocId
string

Vendor document ID associated with the object.

vendorDocName
string

Name of the vendor document associated with the object.

secure
boolean

Indicates whether the folder or the parent folder containing the file is marked as secure.

source
integer

ID representing the source of the object (1 - Salesforce, 2 - Teams).

isShared
boolean

Indicates if the folder is shared with other users.

syncable
boolean

Indicates if the folder can be synced by Desktop Sync Client.

fileLifetime
integer

Time duration (in days) for which the files in this folder are kept after being added to the folder.

description
string

The description of the folder.

isFavorite
boolean

Indicates if the folder is marked as a favorite by the user.

pushedFilesCount
integer

The number of files that have been pushed to mobile apps in this folder.

id
integer

Role ID

name
string

Role name

rank
integer

Role rank

type
string

Role type

avStatus
string

The Antivirus (AV) status of the folder.

dlpStatus
string

The Data Loss Prevention (DLP) status of the folder.

totalMembersCount
integer

Total number of members who have access to this folder.

totalFoldersCount
integer

Total number of subfolders within this folder.

totalFilesCount
integer

Total number of files within this folder.

maxFolderExpiration
string

The maximum expiration date allowed for files in this folder.

maxFileLifetime
integer

The maximum duration (in days) that files in this folder can be kept after being added to the folder.

isLdapGroupMember
boolean

Indicates if the folder is part of an LDAP group.

isUnderMyFolder
boolean

Indicates if this folder is a subfolder of the user's "My Folder".

pathIds
string

A list of IDs representing the path of the folder within the folder hierarchy.

isRoot
boolean

Indicates if this folder is a root folder.

rootId
string

The ID of the root folder if this is a subfolder.

useFolderQuota
boolean

Indicates if a folder quota is applied to this folder.

quota
integer

The storage quota for the folder (in bytes).

size
integer

The total storage size used by the folder (in bytes).

freeSpace
integer

The amount of free space available in the folder (in bytes).

inheritanceEnabled
boolean

Indicates if a folder inherits permissions from the parent folder

originalFileId
string

The ID of the original file if this one is a copy.

avStatus
string

Indicates the file version's availability status based on Antivirus (AV) settings and whether it has been scanned or detected as infected.

dlpStatus
string

Indicates the file version's availability status based on Data Loss Prevention (DLP) settings and whether it has been scanned or detected as infected.

adminQuarantineStatus
string

Indicates the file version's availability status based on the administrator's quarantine status.

locked
boolean

Indicates if the file is locked.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

isShared
boolean

Indicates if the file is shared with other users.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

objectId
string

Unique identifier (UUID) for the pushed object.

userId
string

Unique identifier (UUID) for the user who pushed the object.

created
string

The date and time when the object was pushed.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

pathIds
string

A list of IDs representing the path of the file within the folder hierarchy.

wopiSrc
string

The WOPI (Web Application Open Platform Interface) source URL for the mobile application.

userId
string

Unique identifier of the user.

service
string

The WOPI service ID.

scheme
string

URI scheme used by the mobile application to handle the file.

schemeSupport
string

Indicates the level of support the mobile app has for the URI scheme.

pushed
boolean

Indicates if the file has been pushed to a mobile app.

guid
string

Unique identifier (UUID) for the tag.

name
string

Display name of the tag.

type
string

Type category of the tag.

safeEditLocked
boolean

Indicates if the file is locked through a SafeEdit session.

id
string

Unique identifier (UUID) for the user.

email
string

Email address associated with the user.

name
string

Full name of the user.

profileIcon
string

URL or identifier for the user's profile icon.

versionsCount
integer

The total number of versions for the file.

tracking_id
string

Tracking identifier associated with the file upload.

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/requestFile/:ref/uploads/:object_id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

ref = "VALUE"  # The unique reference of the Request File upload link.
object_id = "VALUE"  # The unique identifier (UUID) of the uploaded file.

url = f"https://{{instance}}.kiteworks.com/rest/requestFile/{ref}/uploads/{object_id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "id": 55, "name": "signed-agreement.pdf", "parent_id": 3, "size": 85000, "mime": "application/pdf", "created": "2024-03-20T11:00:00+00:00", "modified": "2024-03-20T11:00:00+00:00", "deleted": false, "locked": 0 }
{ "errors": { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } }
// Error - No Body
DELETE/rest/requestFile/{ref}/uploads/{object_id}

Delete an uploaded file

Deletes a file that was uploaded through the request file link. Only accessible when the link requires authentication (require_auth=true) and has not expired.

Parameters
Path Parameters
ref
Required
string

The unique reference of the Request File upload link.

object_id
Required
string

The unique identifier (UUID) of the uploaded file.


Responses

The uploaded file was successfully deleted. Returns no content.

Empty response body.

Forbidden

Possible error codes: ERR_ACCESS_USER, ERR_ENTITY_LOCKED

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X DELETE \
  "https://{instance}.kiteworks.com/rest/requestFile/:ref/uploads/:object_id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

ref = "VALUE"  # The unique reference of the Request File upload link.
object_id = "VALUE"  # The unique identifier (UUID) of the uploaded file.

url = f"https://{{instance}}.kiteworks.com/rest/requestFile/{ref}/uploads/{object_id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.delete(url, headers=headers)
print(response.json())
Responses
// Request successful - No Body
{ "errors": { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } }
{ "errors": { "code": "ERR_ENTITY_LOCKED", "message": "File is locked" } }
// Error - No Body
POST/rest/mail/actions/requestFile

Request files to inbox

Description:

Sends a request files to inbox message.

Precondition:

Must be assigned a user profile with the ability to request files to inbox.

Response:

Sends the message requesting files to your inbox.
Parameters
Query Parameters
returnEntity
Optional
boolean

If true, includes the entity in the response body.

with
Optional
string

Specifies additional fields to include in the response.

mode
Optional
string

Determines the detail level of the response body.


Request Body
to
Required
string[]

List of email addresses to send the files to.

subject
Required
string

Subject of the email. Must be between 1 and 998 characters.

body
string

The body of the email.

expire
string

The expiration date of the request file link.

fileLimit
integer

The maximum number of files to attach.

requireAuth
boolean

Indicates if authentication is required to access the files.

returnReceipts
string[]

List of email addresses to send read receipts to.

sharedMailboxId
string

Unique identifier for the Shared Mailbox. Used to search for results belonging to this Shared Mailbox.


Responses

Request File to Inbox request has been successfully created.

Empty response body.

Bad Request

Possible error codes: ERR_REQUEST_INVALID_JSON

code
string

Error code

message
string

Error message

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_INPUT_EMAIL_IS_DISTRIBUTION_LIST, ERR_LICENSE_MAX_USERS_COUNT_REACHED, ERR_SYSTEM_REQUEST_FILE_DISABLED, ERR_USER_HAS_NO_USER_TYPE, ERR_PROFILE_SEND_FILE_EXTERNAL_DISABLED, ERR_USER_TYPE_NO_ACCESS

code
string

Error code

message
string

Error message

Unprocessable Content

Possible error codes: ERR_INPUT_HYPERLINK, ERR_INPUT_INVALID_DATE, ERR_INPUT_REQUIRED, ERR_INVALID_PARAMETER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/mail/actions/requestFile" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "to": [
         "string"
       ],
         "subject": "string",
         "body": "string",
         "expire": "2024-01-15",
         "fileLimit": 1,
         "requireAuth": true
       }'
Python
import requests

url = "https://{instance}.kiteworks.com/rest/mail/actions/requestFile"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "to": [
  "string"
],
  "subject": "string",
  "body": "string",
  "expire": "2024-01-15",
  "fileLimit": 1,
  "requireAuth": true
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
Responses
// Request successful - No Body
{ "errors": [ { "code": "ERR_REQUEST_INVALID_JSON", "message": "Invalid json provided" } ] }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_INPUT_EMAIL_IS_DISTRIBUTION_LIST", "message": "Distribution list user is not allowed to register" } ] }
{ "errors": [ { "code": "ERR_LICENSE_MAX_USERS_COUNT_REACHED", "message": "License count has been reached" } ] }
{ "errors": [ { "code": "ERR_SYSTEM_REQUEST_FILE_DISABLED", "message": "Request file feature is not enabled on this system." } ] }
{ "errors": [ { "code": "ERR_USER_HAS_NO_USER_TYPE", "message": "User has no profile" } ] }
{ "errors": [ { "code": "ERR_PROFILE_SEND_FILE_EXTERNAL_DISABLED", "message": "This profile is not allowed to send files to external users" } ] }
{ "errors": [ { "code": "ERR_USER_TYPE_NO_ACCESS", "message": "Permission denied" } ] }
{ "errors": [ { "code": "ERR_INPUT_HYPERLINK", "message": "Not allowed hyperlink domain. Hyperlink domain should not different from anchored text domain." } ] }
{ "errors": [ { "code": "ERR_INPUT_INVALID_DATE", "message": "The input is not a valid date." } ] }
{ "errors": [ { "code": "ERR_INPUT_REQUIRED", "message": "Field is required" } ] }
{ "errors": [ { "code": "ERR_INVALID_PARAMETER", "message": "Invalid Parameter Exception" } ] }
// Error - No Body
POST/rest/requestFile/{ref}/reply

Reply to Request File

Description:

Processes a reply to a specific Request File.

Precondition:

The user must be authenticated and have the proper access to reply to the specified request file.

Response:

The reply to the request file is processed, and a successful response is returned with the status of the action.
Parameters
Path Parameters
ref
Required
string

The unique reference of the Request File upload link.


Request Body
body
string

The body of the reply. This field is optional.


Responses

The reply to the Request File has been successfully processed.

Empty response body.

Bad Request

Possible error codes: ERR_REQUEST_INVALID_JSON

code
string

Error code

message
string

Error message

Unauthorized

Possible error codes: ERR_AUTH_INVALID_CSRF, ERR_AUTH_UNAUTHORIZED

code
string

Error code

message
string

Error message

Forbidden

Possible error codes: ERR_ACCESS_USER, ERR_ENTITY_REQUEST_FILE_NO_FILE_UPLOADED

code
string

Error code

message
string

Error message

Unprocessable Content

Possible error codes: ERR_INPUT_HYPERLINK

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/requestFile/:ref/reply" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "body": "string"
       }'
Python
import requests

ref = "VALUE"  # The unique reference of the Request File upload link.

url = f"https://{{instance}}.kiteworks.com/rest/requestFile/{ref}/reply"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "body": "string"
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
Responses
// Request successful - No Body
{ "errors": [ { "code": "ERR_REQUEST_INVALID_JSON", "message": "Invalid json provided" } ] }
{ "errors": [ { "code": "ERR_AUTH_INVALID_CSRF", "message": "Invalid CSRF Authentication" } ] }
{ "errors": [ { "code": "ERR_AUTH_UNAUTHORIZED", "message": "Unauthorized" } ] }
{ "errors": [ { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } ] }
{ "errors": [ { "code": "ERR_ENTITY_REQUEST_FILE_NO_FILE_UPLOADED", "message": "No file has been uploaded for the request file" } ] }
{ "errors": [ { "code": "ERR_INPUT_HYPERLINK", "message": "Not allowed hyperlink domain. Hyperlink domain should not different from anchored text domain." } ] }
// Error - No Body